import java.awt.*;
import java.awt.print.*;
import javax.swing.*;

//implmentation de la classe Printable pour imprimer le contenu du Jtextarea
public class JTextAreaImprimer extends JTextArea implements Printable {
	public void imprimerJTextArea() {
		PrinterJob printJob = PrinterJob.getPrinterJob();
		printJob.setPrintable(this);
		
		if (printJob.printDialog()) {
			try{
				printJob.print();
			}
			catch(Exception PrinterExeception){}
		}
	}
	
	public int print(Graphics g, PageFormat pf, int pi) throws PrinterException{
		if (pi >= 1){
			return Printable.NO_SUCH_PAGE;
		}
		g.translate(100, 100);
		Font f = new Font("Monospaced",Font.PLAIN,12);
		g.setFont(f);
		paint(g);
		return Printable.PAGE_EXISTS;
	}
}