
public class Convertisseur {
	private double x;
	private double y;
	
	Convertisseur(){
		x=y=0;
	}
	
	//convertir un point de coordonnes en pixel en coordonnes Lambert II
	public void pxToLambert(double _x, double _y, double _echelle){
		x=(_x*_echelle+897990)/1000;
		y=(2324046-_y*_echelle)/1000;
	}
	
	public double pxToLambertDist(double distance, double _echelle){
		return distance*(_echelle/1000);
	}
	
	public double getX(){
		return x;
	}
	
	public double getY(){
		return y;
	}
}
