import java.util.ArrayList;


public class Rue {
	private String nom;
	private int sens;
	private ArrayList<MyPoint> listPts;
	private ArrayList<Arc> listArcs;
	
	public Rue(Rue _r){
		nom=_r.nom;
		sens=_r.sens;
		listPts=_r.listPts;
		listArcs=_r.listArcs;
	}
	public Rue(String _nom, int _sens, ArrayList<MyPoint> _listPts){
		nom=_nom;
		sens=_sens;
		listPts=_listPts;
		listArcs=new ArrayList<Arc>();
	}
	
	public Rue(String _nom, int _sens, ArrayList<MyPoint> _listPts, ArrayList<Arc>_listArcs){
		nom=_nom;
		sens=_sens;
		listPts=_listPts;
		listArcs=_listArcs;
	}
	
	public String getNom(){
		return nom;
	}
	
	public int getSens(){
		return sens;
	}
	
	public ArrayList<MyPoint> getListPts(){
		return listPts;
	}
	
	public ArrayList<Arc> getListArcs(){
		return listArcs;
	}
	
	public void addArc(Arc a){
		listArcs.add(a);
	}
	
	//retourne true si la rue contient l'arc pass en parametre
	public boolean containsArc(Arc a){
		for(int i=0;i<listArcs.size();i++){
			if(listArcs.get(i).getDepart()==a.getDepart() && listArcs.get(i).getArrivee()==a.getArrivee()){
				return true;
			}
			else if(listArcs.get(i).getArrivee()==a.getDepart() && listArcs.get(i).getDepart()==a.getArrivee()){
				return true;
			}
		}
		return false;
	}
	
}
