import java.util.ArrayList;
import java.util.List;

//trajet entre deux points caractris par une liste d'arcs et une liste de rues
public class Trajet {
	private ArrayList<Rue> listRues=null;
	private ArrayList<Arc> listArcs=null;
	
	Trajet(){
		listRues=new ArrayList<Rue>();
		listArcs=new ArrayList<Arc>();
	}
	
	public ArrayList<Rue> getListRues(){
		return listRues;
	}
	public ArrayList<Arc> getListArcs(){
		return listArcs;
	}
	
	public void addRue(Rue r){
		if(!listRues.contains(r)){
			listRues.add(r);
		}
	}
	public void addArc(Arc a){
		if(!listArcs.contains(a)){
			listArcs.add(a);
		}
	}
}
